// Complex admittance in series and parallel
// SCILAB source file: tyk26-10.sce
// Get data from dialog box
txt = ['G1';'B1';'G2';'B2'];
var = x_mdialog('Enter Y1 and Y2',txt,['0.2';'-0.05';'0.25';'0.15']);
G1 = evstr(var(1));
B1 = evstr(var(2));
G2 = evstr(var(3));
B2 = evstr(var(4));
// Expressions for Y1 and Y2
Y1 = G1 + (%i * B1);
Y2 = G2 + (%i * B2);
// Calculate series and parallel equivalent impedances
Ys = Y1*Y2/(Y1+Y2);
Yp = Y1 + Y2;
messagebox(["Series = " + string(Ys),"Parallel = " + string(Yp)],"Results");

